Bug 89511 - Can't change directories when logged in to an ftp site
Summary: Can't change directories when logged in to an ftp site
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 16:58 UTC by Need Real Name
Modified: 2015-01-08 00:04 UTC (History)
1 user (show)

Fixed In Version: 2.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 20:44:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-04-23 16:58:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
If you open an ftp site with nautilus using a username:password combination (ex.
ftp://etwilson:password@hostname.domain) it will open up in your home directory.
 This is expected behavior.  If you then try to browse to a sub-directory by
clicking on one of the folder icons, you get something like this error message:

Couldn't find "ftp://etwilson:password@hostname.domain/subdir". Please check the
spelling and try again.

If you add "/home/username" to the end of the url and click enter, nautilus will
show you your home directory just as above but in this case the folders are
functional and you do not get errors.



Version-Release number of selected component (if applicable):
nautilus-2.2.1-5

How reproducible:
Always

Steps to Reproduce:
1.Open Nautilus.
2.Type in an ftp url of a machine that you have an account on, using the 
username:password@hostname.domain format.
3.Wait for the directory listing to be shown.
4.Click on any folder.

    

Actual Results:  you get the error message:

Couldn't find "ftp://etwilson:password@hostname.domain/subdir". Please check the
spelling and try again.


Expected Results:  You should be able to browse to subdirectories from your home
directory.  Nautilus should just add the "/home/username" suffix to the url
automatically when you have entered a username and password.

Additional info:

Comment 1 Alexander Larsson 2003-04-24 15:51:44 UTC
This is a gnome-vfs bug really.
I know something related to this was fixed upstream. Need to check that.


Comment 2 Alexander Larsson 2003-08-06 09:57:14 UTC
This should be fixed from 2.2.4 which is in rawhide.


Comment 3 John Thacker 2006-04-22 20:44:35 UTC
Can confirm the fix mentioned above.  Has been fixed for a long time.  Closing.


Note You need to log in before you can comment on or make changes to this bug.